Subject: bug#70211: emacs-eglot fails after upgrade to emacs-29.3

From: hiecaq <[email-masked]>
Date: Wed, 10 Apr 2024 22:49:58 +0800

Lilly via Bug reports for GNU Guix <[email-masked]> writes:

> Hi,
>
> after upgrading to emacs 29.3 eglot fails to start with an error 
> message like
>
> Invalid slot name: "#<eglot-lsp-server 
> eglot-lsp-server-cacbec>", :events-buffer-config
>
> This also happens if I start emacs with 'emacs -q' and activate 
> just eglot manually.
>
> I'm using not the build-in eglot package, but [email-masked]. 
> This package has a dependency to [email-masked]
> Upgrading jsonrpc to version 1.0.25 solved the issue for me.
>
> Yours,
> Lilly

I also encountered this on my Guix configuration (on a foreign 
distro). I tried to investigate into it, but I got confused.

The error message I got is:
> slot-missing: Invalid slot name: "#<eglot-lsp-server 
> eglot-lsp-server-170231c>", :events-buffer-config

However, events-buffer-config (it is defined in 
jsonrpc-connection, and eglot-lsp-server inherits that if I read 
correctly) is introduced in jsonrpc.el at 
e0b9944b69ff72923c29756fcfcea9528a3f5069, which is included in 
1.0.23.